Skip to main content

Create task

POST 

/tasks

Create a new task using either query parameters or JSON body. If using query parameters, please ensure that you properly URL escape the content if it contains any unsafe characters such as spaces or other special characters.

warning

When making a POST request that sends data through query parameters, the Content-Type header must not be set.

Create a task using query parameters

POST /api/tasks?title=Review%20Loan&duedate=2011-06-16&username=demo&clientid=64&description=Please%20check%20the%20automatically%20created%20loan%20application%20for%20this%20client.

Update an existing task

{
"task":{
"encodedKey":"8a33ae49441c4fe101441c71581203a6",
"dueDate":"2021-02-12T15:36:34+0000",
"title":"Disburse your first loan",
"description":"Disburse a $200 loan for a client.",
"status":"OPEN",
"assignedUserKey":"8a33ae49441c4fe101441c5fe42f0005"
}
}

Request

Responses

OK